debug_traceBlockByNumber - Flare
Example code for the debug_traceBlockByNumber JSON-RPC method. Complete guide on how to use debug_traceBlockByNumber JSON-RPC in GetBlock Web3 documentation.
This method traces the execution of every transaction in a block identified by its number or tag. It is a Dedicated Node tier method commonly used with the callTracer.
Parameters
blockParameter
string
Yes
Block number in hex, or "latest", "finalized"
options
object
No
Tracer options (e.g. callTracer)
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "debug_traceBlockByNumber",
"params": ["latest", { "tracer": "callTracer" }],
"id": "getblock.io"
}'const axios = require('axios');
const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
jsonrpc: '2.0',
method: 'debug_traceBlockByNumber',
params: ['latest', { tracer: 'callTracer' }],
id: 'getblock.io'
}, {
headers: { 'Content-Type': 'application/json' }
});
console.log(response.data.result);import requests
response = requests.post(
'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers={'Content-Type': 'application/json'},
json={
'jsonrpc': '2.0',
'method': 'debug_traceBlockByNumber',
'params': ['latest', { 'tracer': 'callTracer' }],
'id': 'getblock.io'
}
)
print(response.json())Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": [
{
"txHash": "0x3c8a1f5b2d9e4076c1a8b3d5e7f9021436587a9cbdef012345678abcdef901234",
"result": {
"type": "CALL",
"from": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"to": "0x1f1a4c1d7e3a6084b5c9d0e1f2a3b4c5d6e7f809",
"gasUsed": "0x5208",
"calls": []
}
}
]
}Response Parameters
jsonrpc
string
JSON-RPC protocol version ("2.0")
id
string
Request identifier matching the request
result
array
Per-transaction execution traces for the block
Use Cases
Live Block Tracing: Trace the "latest" block as it is produced
Historical Tracing: Trace any block by its height
Call Graphs: Extract internal calls with the callTracer
Analytics: Feed traces into transfer and MEV pipelines
Error Handling
-32602
Invalid params
Malformed block number/tag or tracer options
-32601
Method not found
The debug namespace is not enabled on this endpoint
Web3 Integration
Last updated
Was this helpful?